import { LoginForm, RegisterForm, CommunityForm, DeleteCommunityForm, RemoveCommunityForm, PostForm, DeletePostForm, RemovePostForm, LockPostForm, StickyPostForm, SavePostForm, CommentForm, DeleteCommentForm, RemoveCommentForm, MarkCommentAsReadForm, SaveCommentForm, CommentLikeForm, GetPostForm, GetPostsForm, CreatePostLikeForm, GetCommunityForm, FollowCommunityForm, GetFollowedCommunitiesForm, GetUserDetailsForm, ListCommunitiesForm, GetModlogForm, BanFromCommunityForm, AddModToCommunityForm, TransferCommunityForm, AddAdminForm, TransferSiteForm, BanUserForm, SiteForm, GetRepliesForm, GetUserMentionsForm, MarkUserMentionAsReadForm, SearchForm, UserSettingsForm, DeleteAccountForm, PasswordResetForm, PasswordChangeForm, PrivateMessageForm, EditPrivateMessageForm, DeletePrivateMessageForm, MarkPrivateMessageAsReadForm, GetPrivateMessagesForm, GetCommentsForm, UserJoinForm, GetSiteConfig, GetSiteForm, SiteConfigForm } from './interfaces';
export declare function wsSendLogin(form: LoginForm): string;
export declare function wsSendUserJoin(form: UserJoinForm): string;
export declare function wsSendRegister(registerForm: RegisterForm): string;
export declare function wsSendGetCaptcha(): string;
export declare function wsSendCreateCommunity(form: CommunityForm): string;
export declare function wsSendEditCommunity(form: CommunityForm): string;
export declare function wsSendDeleteCommunity(form: DeleteCommunityForm): string;
export declare function wsSendRemoveCommunity(form: RemoveCommunityForm): string;
export declare function wsSendFollowCommunity(form: FollowCommunityForm): string;
export declare function wsSendListCommunities(form: ListCommunitiesForm): string;
export declare function wsSendGetFollowedCommunities(form: GetFollowedCommunitiesForm): string;
export declare function wsSendListCategories(): string;
export declare function wsSendCreatePost(form: PostForm): string;
export declare function wsSendGetPost(form: GetPostForm): string;
export declare function wsSendGetCommunity(form: GetCommunityForm): string;
export declare function wsSendCreateComment(form: CommentForm): string;
export declare function wsSendEditComment(form: CommentForm): string;
export declare function wsSendDeleteComment(form: DeleteCommentForm): string;
export declare function wsSendRemoveComment(form: RemoveCommentForm): string;
export declare function wsSendMarkCommentAsRead(form: MarkCommentAsReadForm): string;
export declare function wsSendLikeComment(form: CommentLikeForm): string;
export declare function wsSendSaveComment(form: SaveCommentForm): string;
export declare function wsSendGetPosts(form: GetPostsForm): string;
export declare function wsSendGetComments(form: GetCommentsForm): string;
export declare function wsSendLikePost(form: CreatePostLikeForm): string;
export declare function wsSendEditPost(form: PostForm): string;
export declare function wsSendDeletePost(form: DeletePostForm): string;
export declare function wsSendRemovePost(form: RemovePostForm): string;
export declare function wsSendLockPost(form: LockPostForm): string;
export declare function wsSendStickyPost(form: StickyPostForm): string;
export declare function wsSendSavePost(form: SavePostForm): string;
export declare function wsSendBanFromCommunity(form: BanFromCommunityForm): string;
export declare function wsSendAddModToCommunity(form: AddModToCommunityForm): string;
export declare function wsSendTransferCommunity(form: TransferCommunityForm): string;
export declare function wsSendTransferSite(form: TransferSiteForm): string;
export declare function wsSendBanUser(form: BanUserForm): string;
export declare function wsSendAddAdmin(form: AddAdminForm): string;
export declare function wsSendGetUserDetails(form: GetUserDetailsForm): string;
export declare function wsSendGetReplies(form: GetRepliesForm): string;
export declare function wsSendGetUserMentions(form: GetUserMentionsForm): string;
export declare function wsSendMarkUserMentionAsRead(form: MarkUserMentionAsReadForm): string;
export declare function wsSendGetModlog(form: GetModlogForm): string;
export declare function wsSendCreateSite(form: SiteForm): string;
export declare function wsSendEditSite(form: SiteForm): string;
export declare function wsSendGetSite(form?: GetSiteForm): string;
export declare function wsSendGetSiteConfig(form: GetSiteConfig): string;
export declare function wsSendSearch(form: SearchForm): string;
export declare function wsSendMarkAllAsRead(form: any): string;
export declare function wsSendSaveUserSettings(form: UserSettingsForm): string;
export declare function wsSendDeleteAccount(form: DeleteAccountForm): string;
export declare function wsSendPasswordReset(form: PasswordResetForm): string;
export declare function wsSendPasswordChange(form: PasswordChangeForm): string;
export declare function wsSendCreatePrivateMessage(form: PrivateMessageForm): string;
export declare function wsSendEditPrivateMessage(form: EditPrivateMessageForm): string;
export declare function wsSendDeletePrivateMessage(form: DeletePrivateMessageForm): string;
export declare function wsSendMarkPrivateMessageAsRead(form: MarkPrivateMessageAsReadForm): string;
export declare function wsSendGetPrivateMessages(form: GetPrivateMessagesForm): string;
export declare function wsSendSaveSiteConfig(form: SiteConfigForm): string;
