"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wsSendSaveSiteConfig = exports.wsSendGetPrivateMessages = exports.wsSendMarkPrivateMessageAsRead = exports.wsSendDeletePrivateMessage = exports.wsSendEditPrivateMessage = exports.wsSendCreatePrivateMessage = exports.wsSendPasswordChange = exports.wsSendPasswordReset = exports.wsSendDeleteAccount = exports.wsSendSaveUserSettings = exports.wsSendMarkAllAsRead = exports.wsSendSearch = exports.wsSendGetSiteConfig = exports.wsSendGetSite = exports.wsSendEditSite = exports.wsSendCreateSite = exports.wsSendGetModlog = exports.wsSendMarkUserMentionAsRead = exports.wsSendGetUserMentions = exports.wsSendGetReplies = exports.wsSendGetUserDetails = exports.wsSendAddAdmin = exports.wsSendBanUser = exports.wsSendTransferSite = exports.wsSendTransferCommunity = exports.wsSendAddModToCommunity = exports.wsSendBanFromCommunity = exports.wsSendSavePost = exports.wsSendStickyPost = exports.wsSendLockPost = exports.wsSendRemovePost = exports.wsSendDeletePost = exports.wsSendEditPost = exports.wsSendLikePost = exports.wsSendGetComments = exports.wsSendGetPosts = exports.wsSendSaveComment = exports.wsSendLikeComment = exports.wsSendMarkCommentAsRead = exports.wsSendRemoveComment = exports.wsSendDeleteComment = exports.wsSendEditComment = exports.wsSendCreateComment = exports.wsSendGetCommunity = exports.wsSendGetPost = exports.wsSendCreatePost = exports.wsSendListCategories = exports.wsSendGetFollowedCommunities = exports.wsSendListCommunities = exports.wsSendFollowCommunity = exports.wsSendRemoveCommunity = exports.wsSendDeleteCommunity = exports.wsSendEditCommunity = exports.wsSendCreateCommunity = exports.wsSendGetCaptcha = exports.wsSendRegister = exports.wsSendUserJoin = exports.wsSendLogin = void 0;
var interfaces_1 = require("./interfaces");
function wsSendLogin(form) {
    return wsSendWrapper(interfaces_1.UserOperation.Login, form);
}
exports.wsSendLogin = wsSendLogin;
function wsSendUserJoin(form) {
    return wsSendWrapper(interfaces_1.UserOperation.UserJoin, form);
}
exports.wsSendUserJoin = wsSendUserJoin;
function wsSendRegister(registerForm) {
    return wsSendWrapper(interfaces_1.UserOperation.Register, registerForm);
}
exports.wsSendRegister = wsSendRegister;
function wsSendGetCaptcha() {
    return wsSendWrapper(interfaces_1.UserOperation.GetCaptcha, {});
}
exports.wsSendGetCaptcha = wsSendGetCaptcha;
function wsSendCreateCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreateCommunity, form);
}
exports.wsSendCreateCommunity = wsSendCreateCommunity;
function wsSendEditCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.EditCommunity, form);
}
exports.wsSendEditCommunity = wsSendEditCommunity;
function wsSendDeleteCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.DeleteCommunity, form);
}
exports.wsSendDeleteCommunity = wsSendDeleteCommunity;
function wsSendRemoveCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.RemoveCommunity, form);
}
exports.wsSendRemoveCommunity = wsSendRemoveCommunity;
function wsSendFollowCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.FollowCommunity, form);
}
exports.wsSendFollowCommunity = wsSendFollowCommunity;
function wsSendListCommunities(form) {
    return wsSendWrapper(interfaces_1.UserOperation.ListCommunities, form);
}
exports.wsSendListCommunities = wsSendListCommunities;
function wsSendGetFollowedCommunities(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetFollowedCommunities, form);
}
exports.wsSendGetFollowedCommunities = wsSendGetFollowedCommunities;
function wsSendListCategories() {
    return wsSendWrapper(interfaces_1.UserOperation.ListCategories, {});
}
exports.wsSendListCategories = wsSendListCategories;
function wsSendCreatePost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreatePost, form);
}
exports.wsSendCreatePost = wsSendCreatePost;
function wsSendGetPost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetPost, form);
}
exports.wsSendGetPost = wsSendGetPost;
function wsSendGetCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetCommunity, form);
}
exports.wsSendGetCommunity = wsSendGetCommunity;
function wsSendCreateComment(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreateComment, form);
}
exports.wsSendCreateComment = wsSendCreateComment;
function wsSendEditComment(form) {
    return wsSendWrapper(interfaces_1.UserOperation.EditComment, form);
}
exports.wsSendEditComment = wsSendEditComment;
function wsSendDeleteComment(form) {
    return wsSendWrapper(interfaces_1.UserOperation.DeleteComment, form);
}
exports.wsSendDeleteComment = wsSendDeleteComment;
function wsSendRemoveComment(form) {
    return wsSendWrapper(interfaces_1.UserOperation.RemoveComment, form);
}
exports.wsSendRemoveComment = wsSendRemoveComment;
function wsSendMarkCommentAsRead(form) {
    return wsSendWrapper(interfaces_1.UserOperation.MarkCommentAsRead, form);
}
exports.wsSendMarkCommentAsRead = wsSendMarkCommentAsRead;
function wsSendLikeComment(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreateCommentLike, form);
}
exports.wsSendLikeComment = wsSendLikeComment;
function wsSendSaveComment(form) {
    return wsSendWrapper(interfaces_1.UserOperation.SaveComment, form);
}
exports.wsSendSaveComment = wsSendSaveComment;
function wsSendGetPosts(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetPosts, form);
}
exports.wsSendGetPosts = wsSendGetPosts;
function wsSendGetComments(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetComments, form);
}
exports.wsSendGetComments = wsSendGetComments;
function wsSendLikePost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreatePostLike, form);
}
exports.wsSendLikePost = wsSendLikePost;
function wsSendEditPost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.EditPost, form);
}
exports.wsSendEditPost = wsSendEditPost;
function wsSendDeletePost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.DeletePost, form);
}
exports.wsSendDeletePost = wsSendDeletePost;
function wsSendRemovePost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.RemovePost, form);
}
exports.wsSendRemovePost = wsSendRemovePost;
function wsSendLockPost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.LockPost, form);
}
exports.wsSendLockPost = wsSendLockPost;
function wsSendStickyPost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.StickyPost, form);
}
exports.wsSendStickyPost = wsSendStickyPost;
function wsSendSavePost(form) {
    return wsSendWrapper(interfaces_1.UserOperation.SavePost, form);
}
exports.wsSendSavePost = wsSendSavePost;
function wsSendBanFromCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.BanFromCommunity, form);
}
exports.wsSendBanFromCommunity = wsSendBanFromCommunity;
function wsSendAddModToCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.AddModToCommunity, form);
}
exports.wsSendAddModToCommunity = wsSendAddModToCommunity;
function wsSendTransferCommunity(form) {
    return wsSendWrapper(interfaces_1.UserOperation.TransferCommunity, form);
}
exports.wsSendTransferCommunity = wsSendTransferCommunity;
function wsSendTransferSite(form) {
    return wsSendWrapper(interfaces_1.UserOperation.TransferSite, form);
}
exports.wsSendTransferSite = wsSendTransferSite;
function wsSendBanUser(form) {
    return wsSendWrapper(interfaces_1.UserOperation.BanUser, form);
}
exports.wsSendBanUser = wsSendBanUser;
function wsSendAddAdmin(form) {
    return wsSendWrapper(interfaces_1.UserOperation.AddAdmin, form);
}
exports.wsSendAddAdmin = wsSendAddAdmin;
function wsSendGetUserDetails(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetUserDetails, form);
}
exports.wsSendGetUserDetails = wsSendGetUserDetails;
function wsSendGetReplies(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetReplies, form);
}
exports.wsSendGetReplies = wsSendGetReplies;
function wsSendGetUserMentions(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetUserMentions, form);
}
exports.wsSendGetUserMentions = wsSendGetUserMentions;
function wsSendMarkUserMentionAsRead(form) {
    return wsSendWrapper(interfaces_1.UserOperation.MarkUserMentionAsRead, form);
}
exports.wsSendMarkUserMentionAsRead = wsSendMarkUserMentionAsRead;
function wsSendGetModlog(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetModlog, form);
}
exports.wsSendGetModlog = wsSendGetModlog;
function wsSendCreateSite(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreateSite, form);
}
exports.wsSendCreateSite = wsSendCreateSite;
function wsSendEditSite(form) {
    return wsSendWrapper(interfaces_1.UserOperation.EditSite, form);
}
exports.wsSendEditSite = wsSendEditSite;
function wsSendGetSite(form) {
    if (form === void 0) { form = {}; }
    return wsSendWrapper(interfaces_1.UserOperation.GetSite, form);
}
exports.wsSendGetSite = wsSendGetSite;
function wsSendGetSiteConfig(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetSiteConfig, form);
}
exports.wsSendGetSiteConfig = wsSendGetSiteConfig;
function wsSendSearch(form) {
    return wsSendWrapper(interfaces_1.UserOperation.Search, form);
}
exports.wsSendSearch = wsSendSearch;
function wsSendMarkAllAsRead(form) {
    return wsSendWrapper(interfaces_1.UserOperation.MarkAllAsRead, form);
}
exports.wsSendMarkAllAsRead = wsSendMarkAllAsRead;
function wsSendSaveUserSettings(form) {
    return wsSendWrapper(interfaces_1.UserOperation.SaveUserSettings, form);
}
exports.wsSendSaveUserSettings = wsSendSaveUserSettings;
function wsSendDeleteAccount(form) {
    return wsSendWrapper(interfaces_1.UserOperation.DeleteAccount, form);
}
exports.wsSendDeleteAccount = wsSendDeleteAccount;
function wsSendPasswordReset(form) {
    return wsSendWrapper(interfaces_1.UserOperation.PasswordReset, form);
}
exports.wsSendPasswordReset = wsSendPasswordReset;
function wsSendPasswordChange(form) {
    return wsSendWrapper(interfaces_1.UserOperation.PasswordChange, form);
}
exports.wsSendPasswordChange = wsSendPasswordChange;
function wsSendCreatePrivateMessage(form) {
    return wsSendWrapper(interfaces_1.UserOperation.CreatePrivateMessage, form);
}
exports.wsSendCreatePrivateMessage = wsSendCreatePrivateMessage;
function wsSendEditPrivateMessage(form) {
    return wsSendWrapper(interfaces_1.UserOperation.EditPrivateMessage, form);
}
exports.wsSendEditPrivateMessage = wsSendEditPrivateMessage;
function wsSendDeletePrivateMessage(form) {
    return wsSendWrapper(interfaces_1.UserOperation.DeletePrivateMessage, form);
}
exports.wsSendDeletePrivateMessage = wsSendDeletePrivateMessage;
function wsSendMarkPrivateMessageAsRead(form) {
    return wsSendWrapper(interfaces_1.UserOperation.MarkPrivateMessageAsRead, form);
}
exports.wsSendMarkPrivateMessageAsRead = wsSendMarkPrivateMessageAsRead;
function wsSendGetPrivateMessages(form) {
    return wsSendWrapper(interfaces_1.UserOperation.GetPrivateMessages, form);
}
exports.wsSendGetPrivateMessages = wsSendGetPrivateMessages;
function wsSendSaveSiteConfig(form) {
    return wsSendWrapper(interfaces_1.UserOperation.SaveSiteConfig, form);
}
exports.wsSendSaveSiteConfig = wsSendSaveSiteConfig;
function wsSendWrapper(op, data) {
    var send = { op: interfaces_1.UserOperation[op], data: data };
    console.log(send);
    return JSON.stringify(send);
}
